--region QueueUtil.lua
--Author : JamesOu
--Date   : 2014-6-19
--此文件由[BabeLua]插件自动生成

Queue = {}
function Queue.new()
    return {first = 0, last = -1}
end

function Queue.pushFront(queue, value)
    local first = queue.first - 1;
    queue.first = first
    queue[first] = value
end

function Queue.pushBack(queue, value)
    local last = queue.last + 1    
    queue.last = last
    queue[last] = value
end

function Queue.getFirst(queue)
	local first = queue.first
    if first > queue.last then 
        --print("queue is empty")  
        return nil
    end
    local value = queue[first]
	return value
end

function Queue.popFirst(queue)
    local first = queue.first
    if first > queue.last then 
        --print("queue is empty")  
        return nil
    end
    local value = queue[first]
    queue[first] = nil
    queue.first = first + 1    
    return value
end

function Queue.popLast(queue)
    local last = queue.last
    if queue.first > last then 
        --print("queue is empty") 
        return nil 
    end
    local value = queue[last]
    queue[last] = nil
    queue.last = last - 1     
    return value
end

function Queue.isEmpty(queue)
    local last = queue.last
    if queue.first > last then 
        return true
    end
    return false
end

function Queue.count(queue)
	return queue.last - queue.first + 1	
end

function Queue.clear(queue)
		
	while(Queue.isEmpty(queue) == false) do	
		Queue.popFirst(queue)	
	end	
end
--[[
queueOne = Queue.new()
Queue.pushFront(queueOne,"Hello")
Queue.pushBack(queueOne,"World")

print(Queue.popFirst(queueOne))
--]]
--endregion
