RefUtil = {}

local ITEM_TYPE_ITEM = 1 --Ʒ
local ITEM_TYPE_ATTR = 2	--
local ITEM_TYPE_EQUIP = 3	--װ
local ITEM_TYPE_TANK = 4	 --̹
local ITEM_TYPE_Fitting = 5	--
local ITEM_TYPE_Tatter = 6	--Ƭ
local ITEM_TYPE_GOLD = 7	 --
--[[
 item:item_1=1,item_2=1;tank:tank_10001=1;equip:equip_1=1  ʽ
 table 
]]--
function RefUtil.getItemTable(itemString)	
	local itemTable = {}
	if itemString ==nil then
		return itemTable
	end
	local types = string.split(itemString,";")	
	local index = 1
	for j =1,#types do
		local typeAndContent = string.split(types[j],":") 
		local title = typeAndContent[1]
		local contentStr = typeAndContent[2]
		if title ~=nil and contentStr~=nil then
			local content = string.split(contentStr,",")
			for i =1, #content do
				local temp = string.split(content[i],"=")
				local key = temp[1]
				local value = temp[2]
				itemTable[index] = {}
				itemTable[index].key= key
				itemTable[index].value = value	
				index = index + 1		
			end									
		end		
	end
	return itemTable	
end

--[[
 PrestigeExp=10,Exp=795;item_09104=6;tank_10201=2 ʽ
 table 
]]--
function  RefUtil.getItemTable2(itemString)	
	local itemTable = {}
	if itemString ==nil then
		return itemTable
	end
	local types = string.split(itemString,";")
	local index = 1
	for j =1,#types do	
		local contentStr = types[j]
		if contentStr~=nil and contentStr ~= "" then
			local content = string.split(contentStr,",")
			for i =1, #content do
				local temp = string.split(content[i],"=")
				local key = temp[1]
				local value = temp[2]
				itemTable[index] = {}
				itemTable[index].key= key
				itemTable[index].value = value	
				index = index + 1		
			end									
		end		
	end
	return itemTable		
	
end	


--[[
 Ʒrefid
 صƷ 
]]--
function RefUtil.getRefItemByRefId(refId)
	local _itemRef = nil
	local types = ITEM_TYPE_ATTR
	-- 
	local _itemRef = GameData.AttributeRef[refId]
	-- Ʒ
	if nil == _itemRef then
		_itemRef	 = GameData.ItemRef[refId]
		types = ITEM_TYPE_ITEM
	end 
	-- װ
	if nil == _itemRef then
		_itemRef = GameWorld:getEquipModule():getMgr():getEquipRef(refId)
		types = ITEM_TYPE_EQUIP
	end
	-- ̹
	if nil == _itemRef then
		_itemRef	 = GameData.TankPropertyRef[refId]
		types = ITEM_TYPE_TANK
	end
	-- 
	if nil == _itemRef then
		_itemRef = GameData.FittingsRef[refId]
		types = ITEM_TYPE_Fitting
	end
	-- Ƭ
	if nil == _itemRef then
		_itemRef = GameData.FittingsDebrisRef[refId]
		types = ITEM_TYPE_Tatter
	end
	-- ΪգôĬϽ
	if nil == _itemRef then
		_itemRef = GameData.AttributeRef["Gold"]
		types = ITEM_TYPE_GOLD
	end
	return  _itemRef ,types	
	
end	


function RefUtil.test()
	local str = "item:item_1=1,item_2=1;tank:tank_10001=1;equip:equip_1=1"
	local itemTable = RefUtil.getItemTable(str)		
	local itemTableStr = table.toString(itemTable)
	local itemTableStr = table.toString(itemTable)	
end

--[[˵Ƿȼ
eventID ˵ID
ֵ:nil
ǿ,ؾϢ
--]]
function RefUtil.checkEventLvl( eventID )
	local ret = nil
	local refData = GameData.EvenIDRef[ eventID ]	
	
	if refData == nil then
		ret = nil
		return ret
	end
	
	local pHero = GameWorld:getPlayerModule():getHero()	
	if pHero.level >= refData.Level then
		ret = nil
	else
		ret = refData.Describe
	end
	return ret	
end